Get a schedule
Describes a schedule associated with an account. Requires at least 1 occurrence or recurTransfer to be specified.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/transfers.read scope.
curl -X GET "https://api.moov.io/accounts/{accountID}/schedules/{scheduleID}" \
-H "Authorization: Bearer {token}" \
-H "x-moov-version: v2024.01.00" \
mc, _ := moov.NewClient()
var accountID string
var scheduleID string
mc.GetSchedule(ctx, accountID, scheduleID)
using Moov.Sdk;
var sdk = new MoovClient(xMoovVersion: "<value>");
var res = await sdk.Scheduling.GetAsync(
accountID: "31afd98b-eb55-41b3-8a4f-0ee8ea69e4e0",
scheduleID: "55487e07-f3b7-44e8-b6f3-64fc85701c34"
);
// handle responsepackage hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetSchedulesResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.xMoovVersion("v2024.01.00")
.security(Security.builder()
.username("")
.password("")
.build())
.build();
GetSchedulesResponse res = sdk.scheduling().get()
.accountID("31afd98b-eb55-41b3-8a4f-0ee8ea69e4e0")
.scheduleID("55487e07-f3b7-44e8-b6f3-64fc85701c34")
.call();
if (res.scheduleResponse().isPresent()) {
// handle response
}
}
}require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
x_moov_version: 'v2024.01.00',
)
res = s.scheduling.get(account_id: '31afd98b-eb55-41b3-8a4f-0ee8ea69e4e0', schedule_id: '55487e07-f3b7-44e8-b6f3-64fc85701c34')
unless res.schedule_response.nil?
# handle response
endimport { Moov } from "@moovio/sdk";
const moov = new Moov({
xMoovVersion: "v2024.01.00",
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.scheduling.get({
accountID: "31afd98b-eb55-41b3-8a4f-0ee8ea69e4e0",
scheduleID: "55487e07-f3b7-44e8-b6f3-64fc85701c34",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setXMoovVersion('v2024.01.00')
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->scheduling->get(
accountID: '31afd98b-eb55-41b3-8a4f-0ee8ea69e4e0',
scheduleID: '55487e07-f3b7-44e8-b6f3-64fc85701c34'
);
if ($response->scheduleResponse !== null) {
// handle response
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
x_moov_version="v2024.01.00",
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.scheduling.get(account_id="31afd98b-eb55-41b3-8a4f-0ee8ea69e4e0", schedule_id="55487e07-f3b7-44e8-b6f3-64fc85701c34")
# Handle response
print(res){
"description": "string",
"destinationAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
"mode": "production",
"occurrences": [
{
"scheduleID": "string",
"occurrenceID": "string",
"mode": "production",
"generated": true,
"indefinite": true,
"canceledOn": "2019-08-24T14:15:22Z",
"runOn": "2019-08-24T14:15:22Z",
"runTransfer": {
"amount": {
"currency": "USD",
"value": 1204
},
"salesTaxAmount": {
"currency": "USD",
"value": 1204
},
"destination": {
"paymentMethodID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
"achDetails": {
"companyEntryDescription": "Gym dues",
"originatingCompanyName": "Whole Body Fit"
},
"cardDetails": {
"dynamicDescriptor": "WhlBdy *Yoga 11-12"
}
},
"partnerAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
"source": {
"paymentMethodID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
"achDetails": {
"companyEntryDescription": "Gym dues",
"originatingCompanyName": "Whole Body Fit"
},
"cardDetails": {
"dynamicDescriptor": "WhlBdy *Yoga 11-12"
}
},
"description": "string",
"lineItems": {
"items": [
{
"name": "string",
"basePrice": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"quantity": 1,
"options": [
{
"name": "string",
"quantity": 1,
"priceModifier": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"group": "string",
"images": [
{
"imageID": "string",
"altText": "string",
"link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",
"publicID": "string"
}
]
}
],
"productID": "string",
"images": [
{
"imageID": "string",
"altText": "string",
"link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",
"publicID": "string"
}
]
}
]
}
},
"ranOn": "2019-08-24T14:15:22Z",
"ranTransferID": "string",
"status": "pending",
"error": {
"message": "string"
}
}
],
"ownerAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
"partnerAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
"recur": {
"recurrenceRule": "string",
"runTransfer": {
"amount": {
"currency": "USD",
"value": 1204
},
"salesTaxAmount": {
"currency": "USD",
"value": 1204
},
"destination": {
"paymentMethodID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
"achDetails": {
"companyEntryDescription": "Gym dues",
"originatingCompanyName": "Whole Body Fit"
},
"cardDetails": {
"dynamicDescriptor": "WhlBdy *Yoga 11-12"
}
},
"partnerAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
"source": {
"paymentMethodID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
"achDetails": {
"companyEntryDescription": "Gym dues",
"originatingCompanyName": "Whole Body Fit"
},
"cardDetails": {
"dynamicDescriptor": "WhlBdy *Yoga 11-12"
}
},
"description": "string",
"lineItems": {
"items": [
{
"name": "string",
"basePrice": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"quantity": 1,
"options": [
{
"name": "string",
"quantity": 1,
"priceModifier": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"group": "string",
"images": [
{
"imageID": "string",
"altText": "string",
"link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",
"publicID": "string"
}
]
}
],
"productID": "string",
"images": [
{
"imageID": "string",
"altText": "string",
"link": "https://api.moov.io/images/q7lKWleAy9fUNhEGezQ1g",
"publicID": "string"
}
]
}
]
}
},
"indefinite": true,
"start": "2009-11-10T23:00:00Z"
},
"scheduleID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
"sourceAccountID": "c520f1b9-0ba7-42f5-b977-248cdbe41c69",
"createdOn": "2019-08-24T14:15:22Z",
"updatedOn": "2019-08-24T14:15:22Z",
"disabledOn": "2019-08-24T14:15:22Z"
}Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
scheduleID
string
required
Response
createdOn
string<date-time>
required
destinationAccountID
string
required
mode
string<enum>
required
sandbox,
production
ownerAccountID
string
required
partnerAccountID
string
required
scheduleID
string
required
sourceAccountID
string
required
updatedOn
string<date-time>
required
description
string
disabledOn
string<date-time>
occurrences
array<object>
Show child attributes
canceledOn
string<date-time>
error
object
Show child attributes
message
string
generated
boolean
indefinite
boolean
mode
string
sandbox,
production
occurrenceID
string
ranOn
string<date-time>
ranTransferID
string
runOn
string<date-time>
runTransfer
object
Show child attributes
amount
object
required
Show child attributes
currency
string
required
Pattern
value
integer<int64>
required
Quantity in the smallest unit of the specified currency.
In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.
description
string
required
destination
object
required
Show child attributes
paymentMethodID
string
required
achDetails
object
Show child attributes
companyEntryDescription
string
[4 to 10] characters
originatingCompanyName
string
[4 to 16] characters
cardDetails
object
Show child attributes
dynamicDescriptor
string
[4 to 22] characters
partnerAccountID
string
required
source
object
required
Show child attributes
lineItems
object
Show child attributes
items
array<object>
required
Show child attributes
basePrice
object
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
images
array<object>
name
string
[1 to 150] characters
options
array<object>
Show child attributes
group
string
<=100 characters
images
array<object>
Show child attributes
altText
string
<=125 characters
imageID
string
link
string<uri>
publicID
string
Pattern
name
string
[1 to 150] characters
priceModifier
object
Show child attributes
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
quantity
integer<int32>
productID
string
quantity
integer<int32>
salesTaxAmount
object
Show child attributes
currency
string
required
Pattern
value
integer<int64>
required
Quantity in the smallest unit of the specified currency.
In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.
scheduleID
string
status
string<enum>
pending,
failed,
completed
recur
object
Show child attributes
recurrenceRule
string
required
runTransfer
object
required
Show child attributes
indefinite
boolean
start
string<date-time>